require 'mochee/playlist'

module Mochee
	RSpec.describe Playlist do
		before do
			$stdout = StringIO.new
			@playlist = Playlist.new('show me the money')
		end

		context '*being played with one movie.' do
			before do
				@initial_rank = 10
				@movie = Movie.new('L4L',@initial_rank)
				@playlist.add_movie(@movie)
			end

			it 'gives the movie a thumbs up when high number is rolled' do 
				allow(Dok2AndQuiet).to receive(:roll).and_return(5)
				@playlist.play(1)

				expect(@movie.rank).to eq(@initial_rank + 1)
			end

			it 'skips the movie when medium number is rolled' do 
				allow(Dok2AndQuiet).to receive(:roll).and_return(3)
				@playlist.play(1)
				expect(@movie.rank).to eq(@initial_rank)
			end

			it 'gives the movie a thumbs down if lower number is rolled' do
				allow(Dok2AndQuiet).to receive(:roll).and_return(1)
				@playlist.play(1)
				expect(@movie.rank).to eq(@initial_rank - 1)
			end
		end
	end
end
